# Generated by Django 5.1.2 on 2024-10-12 16:10

from datetime import date
from django.db import migrations, models

def backfill_valid_until(apps, schema_editor):
    Document = apps.get_model('volunteers', "Document")
    for doc in Document.objects.exclude(metadata={}):
        doc.valid_until = date.fromisoformat(doc.metadata['valid_until'])
        doc.save()

def backfill_metadata(apps, schema_editor):
    Document = apps.get_model('volunteers', "Document")
    for doc in Document.objects.exclude(valid_until=None):
        doc.metadata = {"valid_until": doc.valid_until.isoformat()}

class Migration(migrations.Migration):

    dependencies = [
        ('volunteers', '0042_alter_volunteer_archived_at_and_more'),
    ]

    operations = [
        migrations.AddField(
            model_name='document',
            name='valid_until',
            field=models.DateField(null=True),
        ),
        migrations.RunPython(backfill_valid_until, backfill_metadata),
    ]
